import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import 'package:smart_page/src/controller/control_app_view_provider.dart';
import 'package:smart_page/src/view/main_create_page.dart';

class CreateSmartPage extends StatelessWidget {
  final Widget page;
  final Widget? bottomAppbar;
  final AppBar? appBar;
  final FloatingActionButton? floatingActionButton;
  final FloatingActionButtonLocation? floatingActionButtonLocation;

  const CreateSmartPage({
    Key? key,
    required this.page,
    this.bottomAppbar,
    this.appBar,
    this.floatingActionButton,
    this.floatingActionButtonLocation,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ListenableProvider(
      create: (_) => ControlAppViewProvider(),
      child: MainCreatePage(
        page: page,
        bottomAppbar: bottomAppbar,
        appBar: appBar,
        floatingActionButton: floatingActionButton,
        floatingActionButtonLocation: floatingActionButtonLocation,
      ),
    );
  }
}
